#!/bin/bash
OLDIFS=$IFS
IFS='\'
NAME=$(echo $1 | awk -F '/' '{print $NF}')
#MIME=$(file -b --mime-type "$1")
#if [ "$MIME" = "inode/directory" ]; then  
if [ -d "$1" ]; then
    if [[ "$1" != "$HOME" && "$1" != "/home"  ]]; then
        kdialog --warningyesno "Você tem que certeza que deseja excluir o diretório \"$NAME\" e todo seu conteúdo?"
        if [ "$?" = "0" ]; then        
            rm -rf "$1"
            res=$?
            if [[ $res != 0 ]] ; then
                kdialog --error "Falhou a exclusão de \"$NAME\", precisa ser root!"
                exit 1
            fi
        else
            exit 0
        fi
     else
        kdialog --error "O diretório \"$NAME\" não pode ser apagado!"
        exit 1
     fi
else
    kdialog --warningyesno "Você tem que certeza que deseja excluir o arquivo \"$NAME\"?"
    if [ "$?" = "0" ]; then
        rm -rf "$1"
        res=$?
        if [[ $res != 0 ]] ; then
           kdialog --error "Falhou a exclusão de \"$NAME\", precisa ser root!"
           exit 1
        fi   
    else
        exit 0
    fi    
fi    

IFS=$OLDIFS


