#!/bin/bash
TYPE=$(kdialog --menu "Selecione o tipo:" a "NOVA PASTA" b "ARQUIVO EM BRANCO" c "DOCUMENTO EM BRANCO (.docx)")
if [ "$?" != "0" ]; then
    exit 0
fi 

case $TYPE in
    a)
        NAME=$(kdialog --inputbox "Digite o nome da Pasta (Para criar subpasta coloque a barra /):" "Nova Pasta")
        mkdir -p "$1/$NAME"
        if [ "$?" != "0" ]; then
            kdialog --error "Não foi possível criar a pasta ou precisa ser root!"
        fi    
        ;;
        
     b)   
        NAME=$(kdialog --inputbox "Digite o nome do Arquivo:" "Novo Arquivo")
        touch "$1/$NAME"
        if [ "$?" != "0" ]; then
            kdialog --error "Não foi possível criar o arquivo ou precisa ser root!"
        fi    
        ;;
        
    c)   
        NAME=$(kdialog --inputbox "Digite o nome do Arquivo:" "Novo Documento")
        echo "<center><b>ESTE ARQUIVO FOI GERADO COM BIGLINUX LXQT</b></center>" > $1/"$NAME".docx
        if [ "$?" != "0" ]; then
            kdialog --error "Não foi possível criar o arquivo ou precisa ser root!"
        fi    
        ;;
        
    *)   
        kdialog --error "Erro!"
        ;;
esac

exit 0

